<%@ page contentType="text/html;charset=UTF-8" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ include file="/commons/taglibs.jsp" %>

<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<%@ include file="/commons/meta.jsp" %>
<!--布局框架end-->
	<base href="<%=basePath%>">
	<title>流程详细页面</title>
	
	<script type="text/javascript" >
		$(document).ready(function() {
			baseOnload();

		});
		function baseOnload(){
			var data=$("#wf_fields").attr("value");
			var fieldsXml;  
            if(typeof data == "string"){  
            	fieldsXml = new ActiveXObject("Microsoft.XMLDOM"); //ie6,ie7需要，firefox,ie8不需要  
            	fieldsXml.async = false;  
            	fieldsXml.loadXML(data);  
            }else{  
            	fieldsXml= data;  
            }  
			$(fieldsXml).find("fields >*").each(function(i){ 
				var fieldValue=$(this).text();
				var inputObj=$("#"+this.nodeName);
				inputObj.val(fieldValue);
	        });
			try{
				selfOnload();
			}catch(e){
				
			}
			
		}
		function baseValidate(){
			var validateFlag=true;
			if($("#wf_procTitle").val()==""){
				alert("流程标题[wf_procTitle]不能为空!");
				return false;
			}else if($("#wf_procDefId").val()==""){
				alert("流程定义ID[wf_procDefId]不能为空!");
				return false;
			}else if($("#wf_curActDefId").val()==""){
				alert("流程当前环节ID[wf_curActDefId]不能为空!");
				return false;
			}else if($("#wf_sender").val()==""){
				alert("流程发送人[wf_sender]不能为空!");
				return false;
			}else if($("#wf_actionType").val()==""){
				alert("流程执行类型[wf_actionType]不能为空!");
				return false;
			}
			return validateFlag;
		}
	</script>
</head>
<body>
	<%@ include file="/commons/messages.jsp" %>
	<form id="nextExecuteForm">
	
		<!-- 定义工作流依赖控件的集合,工作流控件以wf命名开头,业务控件请不要带wf_的前缀,请不要修改 start -->
		<input name="wf_procTitle" id="wf_procTitle" type="hidden" value="" />
		<input name="wf_procDefId" id="wf_procDefId" type="hidden" value="${processDefinition.id }" />
		<input name="wf_procDefName" id="wf_procDefName" type="hidden" value="${processDefinition.name }" />
		<input name="wf_curActDefId" id="wf_curActDefId" type="hidden" value="${curActivity.id }" />
		<input name="wf_curActDefName" id="wf_curActDefName" type="hidden" value="${activityDefName}" />
		<input name="wf_procInstId" id="wf_procInstId" type="hidden" value="${task.procInstId }" />
		<input name="wf_curActInstId" id="wf_curActInstId" type="hidden" value="${task.id }" />
		<input name="wf_sender" id="wf_sender" type="hidden" value="${bpm_login_session_user.userId }" />
		<input name="wf_nextActDefId" id="wf_nextActDefId" type="hidden" value="" />
		<input name="wf_receiver" id="wf_receiver" type="hidden" value="" />
		<input name="wf_actionType" id="wf_actionType" type="hidden" value="${actionType}" />
		<input name="wf_fields" id="wf_fields" type="hidden" value="${fields }" />
		<!-- 
		<jsp:include page="/pages/workflow/detail/topButton.jsp" flush="true"/>
		 -->
		<!-- 定义框架需要的属性集合,请不要修改 end -->
		<jsp:include page="${workflowPage}" flush="true"/>
		<c:if test="${openPageType <=2}">
			<IFRAME style="width:1024px;height:200px;" scrolling="auto" src="${ctx}/pages/workflow/nextActivity/nextActivityUserMain.jsp"  frameBorder="0" id="rightFrame"  name="rightFrame"   allowTransparency="true"></IFRAME> 
		</c:if>	
	</form>
	
</body>
</html>	
